%This file inputs the parameters and data to 
%compress each clip in Table 1

bw=1024 %partition size

switch CLIP

case 1
wavfile ='SACodec/Clips/Original_wav/Classic_Guitar0.wav'
wavmp3 ='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Classic_Orchestra128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Classic_Guitar128.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;


pss=55     ; %set the SNR before quantization
nCoe=410000; %Max number of atoms (it stops before)
del=0.00018; %quantization parameter for the required SNR

case 2
wavfile ='SACodec/Clips/Original_wav/Chopin0.wav'
wavmp3 ='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Chopin128wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Chopin128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave(:,1);


pss=50      %set the SNR before quantization
nCoe=90000; %Max number of atoms (it stops before)
del=0.00007 %quantization parameter for the required SNR

case 3 
wavfile ='SACodec/Clips/Original_wav/Bach_Piano0.wav'
wavmp3 ='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Bach_Piano128wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Bach_Piano128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=56
nCoe=70000;
del=0.0005

case 4
wavfile ='SACodec/Clips/Original_wav/Pop_Piano_Chord0.wav'
wavmp3 ='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Pop_Piano_Chord128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Pop_Piano_Chord128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=57
nCoe=700000;
del=0.00023


case 5
wavfile ='SACodec/Clips/Original_wav/Rock_Piano0.wav'
wavmp3 ='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Rock_Piano128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Rock_Piano128.mp3'


[wave,fs]=audioread(wavfile);
signal=wave(:,1);
clip_name='Rock_Piano'

pss=52
nCoe=70000;
del=0.0019

case 6 
wavfile ='SACodec/Clips/Original_wav/Harmonics_Guitar0.wav'
wavmp3 ='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Harmonics_Guitar128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Harmonics_Guitar128.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;


pss=55;
nCoe=550000;
del=5.5000e-04;


case 7
wavfile ='SACodec/Clips/Original_wav/Rock_Ballad0.wav'
wavmp3 ='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Rock_Ballad128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Rock_Ballad128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;
pss=54
nCoe=70000;
del=0.00343

case 8

wavfile='SACodec/Clips/Original_wav/Medieval0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Medieval128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Medieval128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=63
nCoe=537070;
del=4.5000e-04


case 9

wavfile='SACodec/Clips/Original_wav/Oboe.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Oboe128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Oboe128.mp3'


[wave,fs]=audioread(wavefile);
signal=wave;
pss=67;
nCoe=80000
del =0.0014;


case 10 
wavfile='SACodec/Clips/Original_wav/Electric_Guitar0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Electric_Guitar128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Electric_Guitar128.mp3'



[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=49;
nCoe=700000
del=0.00226 %quantization parameter for the required SNR


case 11

wavfile='SACodec/Clips/Original_wav/Sextet0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Sextet128.wav'

mp3file='SACodec/Clips/SA_Table1/MP3_128/Sextet128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=47
nCoe=numel(signal)/5;
del=0.0034

case 12 

wavfile='SACodec/Clips/Original_wav/Orchestra_Horns0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Orchestra_Horns128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Orchestra_Horns128.mp3'



[wave,fs]=audioread(wavfile);
signal=wave(:,1);
%
pss=57
nCoe=700000;
del=0.001;
%


case 13
wavfile='SACodec/Clips/Original_wav/Violins'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Violins128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Violins128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;


pss=50
nCoe=970000
del=0.00074



case 14
wavfile='SACodec/Clips/Original_wav/Orchestrated0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Orchestrated128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Orchestrated128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=63
nCoe=214850;
del=0.00064;


case 15

wavfile='SACodec/Clips/Original_wav/Quartet0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Quartet128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Quartet128.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;

pss=49.2
nCoe=numel(signal)/3;;
del=0.0012



case 16

wavfile='SACodec/Clips/Original_wav/Bach_Fuge0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Bach_Fuge128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Bach_Fuge128.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=46;
nCoe=70000;
del=0.0022

case 17

wavfile='SACodec/Clips/Original_wav/Classic_Orchestra0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Classic_Orchestra128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Classic_Orchestra128.mp3'

%
[wave,fs]=audioread(wavfile);
signal=wave(:,1);
%
pss=43
nCoe=174750
del=0.0005


case 18

wavfile='SACodec/Clips/Original_wav/Opera_Male0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Opera_Male128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Opera_Male128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave(:,1);


tol=0
pss=46
nCoe=70000;
del=0.0015;


case 19

wavfile='SACodec/Clips/Original_wav/Opera_Fem0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Opera_Fem128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Opera_Fem128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave(:,1);


pss=40
nCoe=70000;
del=0.0011

case 20
wavfile='SACodec/Clips/Original_wav/Orchestra0.wav'
wavmp3='SACodec/Clips/SA_Table1/MP3_128_rec_wav/Orchestra128.wav'
mp3file='SACodec/Clips/SA_Table1/MP3_128/Orchestra128.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=46
nCoe=numel(signal)/3;
del=0.003

end
