%This script runs the encoder to reproduce the Tables in the paper
%To try a particular clip change the value of CLIP below (From 1 to 20)
%To change the table number change the value of TABLE below
%
%The encoded encoded outputs are saved in the file:
%'SACodec/SA_encoded1_file.mat'
%To retrieve the signal run the script Run_SA_Decoder
%
%
TABLE=3;
CLIP=11;
%
switch TABLE
%
case 1
get_settings_table1
case 2
get_settings_table2
case 3
get_settings_table3
end

clear cmf mf B f

[z1,z2]=size(signal);

if z1<z2 signal=signal';end

[s1,s2]=size(signal(:,1));
if s1<s2; 
 signal(:,1)=signal(:,1)'; signal(:,2)=signal(:,2)';
end
f(:,1)=signal(:,1)';
%
mul=1;

pp(1:mul)=1;
%
s=floor(numel(f(:,1))/bw);
mf=f(1:s*bw,:);%resize the signal to be divisible by bw
tol=(norm(mf)^2/(10^(pss/10)));
Nx=numel(mf(:,1));
Nframe=Nx/bw; %number of frames
t0=1;
a=2;
icase=4;
[D nord]=get_trig_dict(bw,a,icase);
[FrameLength, N]=size(D);
clear eex
M=N;
if icase==4 M=N/2;end  %cosine \cup sin dictionary
k=1:M;
if icase==2 | icase ==4 % icase 2 cosine dictionary
eex(1,:)=exp(-pi*1i*(k-1)/(2*M))./nord(1,:);
end
if icase==3 %sine dictionary
eex(1,:)=exp(-pi*1i*(k)/(2*M))./nord(1,:);
end
if icase==4
eex(2,:)=exp(-pi*1i*(k)/(2*M))./nord(2,:);
end
%
cmf1=cell(Nframe,1);
%
for j=1:Nframe;
t=t0:t0+bw-1;
t0=t0+bw;
cmf{j}(:,1)=mf(t,1);
end
%======end the segmentation each cmf is a cell with a frame or size bw===
NBX=Nframe;
delta=1;
%
%
No=nCoe; %do not touch for now
%
%
%=============Start the approximation =========
tic%
B=cmf;
[h,Di1,beta,c,Q,Nat,NorQ]=HBW_OOMPMl1_Trg_FFT(B,D,tol,No,pp,eex,icase);

toc
%
%=====================================================================
clear msignal lsnr
fa1=[];
for i=1:Nframe
fa1=[fa1 ; h{i}(:,1)];%get the whole signal from the frames
lsnr(i)=CalcSNR(cmf{i},h{i});
end
nCoe=Nat
SR=numel(mf)/Nat
SNR= CalcSNR(mf,fa1)
mean_lsnr=mean(lsnr)
%
%quantize coefficients
fprintf('After Quantization, \n')
[fac,sci,onein,cq]=quant_multi1(mf,cmf,c,D,Di1,NBX,del);
%
%arithmetic code magnitude of coefficients, indices and signs
SA_Encoder;




