%Test recovery

fprintf('SNR of the recoved signal \n');
%fa1 is the recovered approximated signal
SNR_SA=CalcSNR(mf,fa1)
fprintf('mean local snr of the recoved SA signal, and std \n');
[lsnr,mlsnr,slsnr]=locsnr(mf,fa1,bw,0);

fprintf('----------Comparison of quality with MP3--------\n')

%read the wav converted from mp3
[ymp3,fsm]=audioread(wavmp3);
%
%ymp3_op is the shifted and scaled numerical mp3  signal
[ymp3_op, ymf]=mp3_shft_sc(mf,ymp3);

%calculate the SNR with the original ymf
SNR_MP3=CalcSNR(ymf,ymp3_op)
fprintf('mean local snr of the recoved MP3 signal, and std \n');
[lsnr,mlsnr,slsnr]=locsnr(ymf,ymp3_op,bw,0);

fprintf('-------------------------------\n')
safile='SACodec/SA_encoded1_file.mat';

hg=dir(mp3file);
hcdt=dir(safile);

tt=numel(mf)/fs;
signal_length=tt

MP3=hg.bytes/1000;

SA=hcdt.bytes/1000;


MP3_bps=MP3*8/tt;
SA_bps=SA*8/tt;

fprintf('Compression rates\n')

fprintf('MP3 file in KB %g.\n', MP3)
fprintf('SA file in KB %g.\n', SA)

fprintf('-------------------------------\n')

fprintf('MP3 in kbps %g.\n', MP3_bps)
fprintf('SA  in kbps %g.\n', SA_bps)

