%This file inputs the parameters and data to 
%compress each clip in Table 2

bw=1024 %partition size

switch CLIP

case 1
wavfile ='SACodec/Clips/Original_wav/Classic_Guitar0.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Classic_Orchestra96.wav'
mp3file='SACodec/Clips/SA_Table2/MP3_96/Classic_Orchestra96.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;

pss=57;      %set the SNR before quantization
nCoe=80000;  %Max number of atoms (it stops before its reached)
del =0.0065; %quantization parameter for the required SNR

case 2
wavfile ='SACodec/Clips/Original_wav/Chopin0.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Chopin96.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96/Chopin96.mp3'

[wave,fs]=audioread(wavfile);
signal=wave(:,1);

pss=50
nCoe=90000;
del=0.00195;

case 3 
wavfile ='SACodec/Clips/Original_wav/Bach_Piano0.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Bach_Piano96.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96/Bach_Piano96.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;

pss=56
nCoe=70000;
del=0.0018

case 4
wavfile ='SACodec/Clips/Original_wav/Pop_Piano_Chord0.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Pop_Piano_Chord96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Pop_Piano_Chord96.mp3'


[wave,fs]=audioread(wavfile);
signal=wave;

pss=53
nCoe=700000;
del=5.0000e-04

case 5
wavfile ='SACodec/Clips/Original_wav/Rock_Piano0.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Rock_Piano96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Rock_Piano96.mp3'



[wave,fs]=audioread(wavfile);
signal=wave(:,1);

pss=45.6
nCoe=70000;
del=0.0082


case 6 
wavfile ='SACodec/Clips/Original_wav/Harmonics_Guitar0.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Harmonics_Guitar96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Harmonics_Guitar96.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=50
nCoe=550000;
del=0.00134

case 7
wavfile ='SACodec/Clips/Original_wav/Rock_Ballad0.wav'
wavmp3 ='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Rock_Ballad96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Rock_Ballad96.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=47
nCoe=70000;
del=0.01

case 8

wavfile='SACodec/Clips/Original_wav/Medieval0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Medieval96.wav'

mp3file ='SACodec/Clips/SA_Table2/MP3_96/Medieval96.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=60
nCoe=537070;
del=9.2000e-04


case 9

wavfile='SACodec/Clips/Original_wav/Oboe.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Oboe96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Oboe96.mp3'

[wave,fs]=audioread(wavefile);
signal=wave;

pss=57;
nCoe=80000
del =0.0065


case 10 
wavfile='SACodec/Clips/Original_wav/Electric_Guitar0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Electric_Guitar96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Electric_Guitar96.mp3'


[wave,fs]=audioread(wavfile);
signal=wave;
%

%
pss=37;
nCoe=700000
del=0.0023 



case 11

wavfile='SACodec/Clips/Original_wav/Sextet0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Sextet96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Sextet96.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=40
nCoe=numel(signal)/3;
del=0.0073

case 12 

wavfile='SACodec/Clips/Original_wav/Orchestra_Horns0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Orchestra_Horns96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Orchestra_Horns96.mp3'


[wave,fs]=audioread(wavfile);
signal=wave(:,1);

%
pss=53
nCoe=700000;
del=0.0063;
%

case 13
wavfile='SACodec/Clips/Original_wav/Violins0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Violins96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Violins96.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;

%
pss=47
nCoe=970000
del=0.0015
%

case 14
wavfile='SACodec/Clips/Original_wav/Orchestrated0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Orchestrated96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Orchestrated96.wav'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=57
nCoe=214850;
del=0.0016;
%
%
case 15
%
wavfile='SACodec/Clips/Original_wav/Quartet0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Quartet96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Quartet96.wav'
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=42
nCoe=numel(signal)/3;;
del=0.002
%
case 16
wavfile='SACodec/Clips/Original_wav/Bach_Fuge0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Bach_Fuge96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Bach_Fuge96.mp3'
%
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=39;
nCoe=70000;
del=0.006
%
case 17
%
wavfile='SACodec/Clips/Original_wav/Classic_Orchestra0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Classic_Orchestra96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Classic_Orchestra96.mp3'
%
[wave,fs]=audioread(wavfile);
signal=wave(:,1);
%
pss=40
nCoe=174750
del=0.0017
%
case 18
%
wavfile='SACodec/Clips/Original_wav/Opera_Male0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Opera_Male96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Opera_Male96.mp3'

[wave,fs]=audioread(wavfile);
signal=wave(:,1);
%
pss=37
nCoe=70000;
del=0.0028;
%
case 19
%
wavfile='SACodec/Clips/Original_wav/Opera_Fem0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_96_rec_wav/Opera_Fem96.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Opera_Fem96.mp3'
%
[wave,fs]=audioread(wavfile);
signal=wave(:,1);
%
pss=36
nCoe=700000;
del=0.00388
%
case 20
wavfile='SACodec/Clips/Original_wav/Orchestra0.wav'
wavmp3='SACodec/Clips/SA_Table2/MP3_64_rec_wav/Orchestra64.wav'
mp3file ='SACodec/Clips/SA_Table2/MP3_96/Orchestra64.mp3'
%
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=41
nCoe=numel(signal)/3;
del=0.0062
%
end
