%This file inputs the parameters and data to 
%compress each clip in Table 3

bw=1024 %partition size
%
switch CLIP
%
case 1
%read original signal%
wavfile ='SACodec/Clips/Original_wav/Classic_Guitar0.wav'
wavmp3 ='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Classic_Guitar64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Classic_Guitar64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;

%read mp3 signal converted to wav
pss=45
%
nCoe=410000; % 
del=0.0018; %


case 2
wavfile ='SACodec/Clips/Original_wav/Chopin0.wav'
wavmp3 ='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Chopin64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Chopin64.mp3'

[wave,fs]=audioread(wavfile);
signal=wave(:,1);


pss=40
nCoe=90000;
del=0.00294;


case 3 
wavfile ='SACodec/Clips/Original_wav/Bach_Piano0.wav'
wavmp3 ='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Bach_Piano64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Bach_Piano.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;

pss=43
nCoe=70000;
del=0.008


case 4
wavfile ='SACodec/Clips/Original_wav/Pop_Piano_Chord0.wav'
wavmp3 ='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Pop_Piano_Chord64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Pop_Piano_Chord64.mp3'

[wave,fs]=audioread(wavfile);
signal=wave;

pss=40
nCoe=700000;
del=0.0034;


case 5
wavfile ='SACodec/Clips/Original_wav/Rock_Piano0.wav'
wavmp3 ='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Rock_Piano64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Rock_Piano64.mp3'

[wave,fs]=audioread(wavfile);
signal=wave(:,1);

pss=35
nCoe=70000;
del=0.02


case 6 
wavfile ='SACodec/Clips/Original_wav/Harmonics_Guitar0.wav'
wavmp3 ='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Harmonics_Guitar64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Harmonics_Guitar64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;

pss=43
nCoe=550000;
del=0.0058

case 7
wavfile ='SACodec/Clips/Original_wav/Rock_Ballad0.wav'
wavmp3 ='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Rock_Ballad64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Rock_Ballad64.wav'
[wave,fs]=audioread(wavfile);
signal=wave;

pss=35
nCoe=70000;
del=0.041

case 8

wavfile='SACodec/Clips/Original_wav/Medieval0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Medieval64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Medieval64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;

pss=40
nCoe=537070;
del=0.0126


case 9

wavfile='SACodec/Clips/Original_wav/Oboe0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Oboe64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Oboe64.mp3'

[wave,fs]=audioread(wavefile);
signal=wave;

pss=35;
nCoe=80000
del =0.095

case 10 
wavfile='SACodec/Clips/Original_wav/Electric_Guitar0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Electric_Guitar64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Electric_Guitar.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=37;
nCoe=700000
del=0.0305 %quantization parameter for the required SNR
%

case 11

wavfile='SACodec/Clips/Original_wav/Sextet0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Sextet64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Sextet64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;
pss=27
nCoe=numel(signal)/5;
del=0.035

case 12 

wavfile='SACodec/Clips/Original_wav/Orchestra_Horns0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Orchestra_Horns64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Orchestra_Horns64.mp3'

[wave,fs]=audioread(wavfile);
signal=wave(:,1);

%
pss=39
nCoe=700000;
del=0.0486;
%

case 13
wavfile='SACodec/Clips/Original_wav/Violins0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Violins64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Violins64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=33
nCoe=970000
del=0.01

%
%

case 14
wavfile='SACodec/Clips/Original_wav/Orchestrated0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Orchestrated64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Orchestrated64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=42
nCoe=214850;
del=0.01
%
case 15
%
wavfile='SACodec/Clips/Original_wav/Quartet0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Quartet64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Quartet64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=32
nCoe=numel(signal)/3;;
del=0.0050
%
%
case 16
wavfile='SACodec/Clips/Original_wav/Bach_Fuge0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Bach_Fuge64.wav'
mp3file ='SACodec/Clips/SA_Table3/MP3_64/Bach_Fuge64.mp3'

%
[wave,fs]=audioread(wavfile);
signal=wave;
%
pss=30;
nCoe=70000;
del=0.03
%
%
case 17
%
wavfile='SACodec/Clips/Original_wav/Classic_Orchestra0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Classic_Orchestra64.wav'
%
mp3file='SACodec/Clips/SA_Table3/MP3_64/Classic_Orchestra64.mp3'

[wave,fs]=audioread(wavfile);
 signal=wave(:,1);
%
pss=30
nCoe=174750
del=0.0097
%
case 18
%
wavfile='SACodec/Clips/Original_wav/Opera_Male0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Opera_Male64.wav'
mp3file='SACodec/Clips/SA_Table3/MP3_64/Opera_Male64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave(:,1);
%
pss=27
nCoe=70000;
del=0.017
%
case 19
%
wavfile='SACodec/Clips/Original_wav/Opera_Fem0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Opera_Fem64.wav'
mp3file='SACodec/Clips/SA_Table3/MP3_64/Opera_Fem64.mp3'
[wave,fs]=audioread(wavfile);
signal=wave(:,1);
%
pss=27
nCoe=700000;
del=0.0145
%
%
case 20
wavfile='SACodec/Clips/Original_wav/Orchestra0.wav'
wavmp3='SACodec/Clips/SA_Table3/MP3_64_rec_wav/Orchestra64.wav'
mp3file='SACodec/Clips/SA_Table3/MP3_64/Orchestra64.mp3'
%
[wave,fs]=audioread(wavfile);
signal=wave;
%
%
pss=30
nCoe=numel(signal)/3;
del=0.026
%
end

